﻿//
// Lightbox Gallery Module for DotNetNuke
// Project Contributors - Will Strohl (http://www.WillStrohl.com), Armand Datema (http://www.schwingsoft.com)
//
//Copyright (c) 2009-2013, Will Strohl
//All rights reserved.
//
//Redistribution and use in source and binary forms, with or without modification, are 
//permitted provided that the following conditions are met:
//
//Redistributions of source code must retain the above copyright notice, this list of 
//conditions and the following disclaimer.
//
//Redistributions in binary form must reproduce the above copyright notice, this list 
//of conditions and the following disclaimer in the documentation and/or other 
//materials provided with the distribution.
//
//Neither the name of Will Strohl, Armand Datema, Lightbox Gallery, nor the names of its contributors may be 
//used to endorse or promote products derived from this software without specific prior 
//written permission.
//
//THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY 
//EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
//OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT 
//SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
//INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED 
//TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR 
//BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
//CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN 
//ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH 
//DAMAGE.
//

//INSTANT C# NOTE: Formerly VB project-level imports:

namespace WillStrohl.Modules.Lightbox
{

	public sealed class SettingInfoMembers
	{

		public const string SettingIdField = "SettingId";
		public const string LightboxIdField = "LightboxId";
		public const string PaddingField = "Padding";
		public const string MarginField = "Margin";
		public const string OpacityField = "Opacity";
		public const string ModalField = "Modal";
		public const string CyclicField = "Cyclic";
		public const string OverlayShowField = "OverlayShow";
		public const string OverlayOpacityField = "OverlayOpacity";
		public const string OverlayColorField = "OverlayColor";
		public const string TitleShowField = "TitleShow";
		public const string TitlePositionField = "TitlePosition";
		public const string TransitionField = "Transition";
		public const string SpeedField = "Speed";
		public const string ChangeSpeedField = "ChangeSpeed";
		public const string ShowCloseButtonField = "ShowCloseButton";
		public const string ShowNavArrowsField = "ShowNavArrows";
		public const string EnableEscapeButtonField = "EnableEscapeButton";
		public const string OnStartField = "OnStart";
		public const string OnCancelField = "OnCancel";
		public const string OnCompleteField = "OnComplete";
		public const string OnCleanupField = "OnCleanup";
		public const string OnClosedField = "OnClosed";

	}

}