﻿<%@ Control Language="C#" AutoEventWireup="false" CodeBehind="ChangeOrder.ascx.cs" Inherits="WillStrohl.Modules.Lightbox.ChangeOrderView" %>
<div id="dnnEditEntry" class="dnnForm dnnEditEntry dnnClear">
	<asp:PlaceHolder ID="phOrder" runat="server" />
	<div id="divActions" class="dnnFormItem">
		<a id="lnkSave" href="#" class="dnnPrimaryAction" title="<%=GetLocalizedString("lnkSave.Text")%>"><%=GetLocalizedString("lnkSave.Text")%></a>&nbsp; 
		<a id="lnkCancel" href="#" class="dnnSecondaryAction" title="<%=GetLocalizedString("lnkCancel.Text")%>"><%=GetLocalizedString("lnkCancel.Text")%></a>
	</div>
	<div class="Hidden">
		<div id="dlgAjaxError" title="<%=GetLocalizedString("dlgAjaxError.Title")%>"><%=GetLocalizedString("dlgAjaxError.Text")%></div>
		<div id="dlgSaving" title="<%=GetLocalizedString("dlgSaving.Title")%>"><%=GetLocalizedString("dlgSaving.Text")%></div>
	</div>
</div>
<script language="javascript" type="text/javascript">/*<![CDATA[*/
	var returnUrl = '<%=GetDefaultViewUrl()%>';
	var orderUrl = '<%=OrderHandler%>';
	var order = '';
	var dlgOptions = { autoOpen: false, draggable: false, modal: true, 'buttons': { '<%=GetLocalizedString("Message.Button.Ok")%>': function () { jQuery(this).dialog('close'); } } };

	(function ($, Sys) {
	    function setupDnnSiteSettings() {

	        jQuery('#dlgAjaxError').dialog(dlgOptions);
	        jQuery('#dlgSaving').dialog(dlgOptions);

	        jQuery('#ulOrder').sortable({ revert: true });

	        jQuery('#lnkSave').live('click', function () {
	            jQuery('#dlgSaving').dialog('open');

	            order = '';
	            jQuery('#ulOrder li').each(function () {
	                order = order + jQuery(this).attr('id') + ',';
	            });

	            jQuery.ajax({ url: orderUrl + '?mid=' + encodeURIComponent(<%=ModuleId.ToString()%>) + '&order=' + encodeURIComponent(order), cache: false, type: 'POST', dataType: 'text', async: false, success: onSuccessCallback, error: onErrorCallback });

			    return false;
		    });

            jQuery('#lnkCancel').live('click', function () { document.location = returnUrl; });

        }

        $(document).ready(function () {
            setupDnnSiteSettings();
            Sys.WebForms.PageRequestManager.getInstance().add_endRequest(function () {
                setupDnnSiteSettings();
            });
        });

    }(jQuery, window.Sys));
    
	function onSuccessCallback(data, textStatus, XMLHttpRequest){ document.location = returnUrl; }

	function onErrorCallback(XMLHttpRequest, textStatus, errorThrown) { jQuery('#dlgSaving').dialog('close'); jQuery('#dlgAjaxError').dialog('open'); }
/*]]>*/</script>