﻿<%@ Control Language="C#" AutoEventWireup="false" CodeBehind="ViewLightbox.ascx.cs" Inherits="WillStrohl.Modules.Lightbox.ViewLightbox" %>
<div id="wns_Module_AlbumWrapper" class="dnnClear">
	<asp:Repeater ID="rptGallery" runat="server">
		<ItemTemplate>
			<div class="wns_lightbox_wrapper wns-showlater">
				<a class="EditAlbumLink" href='<%#GetEditUrl(DataBinder.Eval(Container.DataItem, "LightboxId").ToString())%>'><img src="" alt='<%=GetLocalizedString("EditImage.Alt")%>' title='<%=GetLocalizedString("EditImage.Alt")%>' class="wns-image EditImage" /></a>
				<a class="ReorderLink" href='<%#GetReorderUrl(DataBinder.Eval(Container.DataItem, "LightboxId"))%>'><img src="" alt='<%=GetLocalizedString("OrderImage.Alt")%>' title='<%=GetLocalizedString("OrderImage.Alt")%>' class="wns-image OrderImage" /></a>
				<h3 id="<%#string.Format("h3-{0}-{1}", TabModuleId, DataBinder.Eval(Container.DataItem, "LightboxId"))%>" class="wns_lightbox_head"><%#Server.HtmlDecode(DataBinder.Eval(Container.DataItem, "GalleryName").ToString())%></h3>
				<p id="<%#string.Format("p-{0}-{1}", TabModuleId, DataBinder.Eval(Container.DataItem, "LightboxId"))%>" class="Normal wns_lightbox_description"><%#Server.HtmlDecode(DataBinder.Eval(Container.DataItem, "GalleryDescription").ToString())%></p>
				<div class="Normal"><%#GetImageFiles(DataBinder.Eval(Container.DataItem, "LightboxId").ToString(), DataBinder.Eval(Container.DataItem, "GalleryFolder").ToString(), DataBinder.Eval(Container.DataItem, "GalleryName").ToString())%></div>
			</div>
		</ItemTemplate>
	</asp:Repeater>
</div>
<script language="javascript" type="text/javascript">/*<![CDATA[*/
    var IsEditable = <%= IsEditable.ToString().ToLower() %>;
    
    (function ($, Sys) {
        function setupDnnSiteSettings() {
            
            jQuery('.EditImage')
                .attr('src', '<%= EditImage %>')
                .attr('align', 'left');
            jQuery('.OrderImage')
                .attr('src', '<%= OrderImage %>')
                .attr('align', 'left');
            if(!IsEditable) { jQuery('.EditImage').parent().remove().end().remove(); jQuery('.OrderImage').parent().remove().end().remove(); }

    jQuery(document).ready( function() {
        jQuery('.EditImage')
            .attr('src', '<%=Me.EditImage%>')
            .attr('align', 'left');
        jQuery('.OrderImage')
            .attr('src', '<%=Me.OrderImage%>')
            .attr('align', 'left');
        if(!IsEditable) { jQuery('.EditImage').parent().remove().end().remove(); jQuery('.OrderImage').parent().remove().end().remove(); }

            <% } %>

}

        $(document).ready(function () {
            setupDnnSiteSettings();
            Sys.WebForms.PageRequestManager.getInstance().add_endRequest(function () {
                setupDnnSiteSettings();
            });
        });

    } (jQuery, window.Sys));
/*]]>*/</script>
<asp:PlaceHolder ID="phScript" runat="server" />